## org.eclipse.datatools.modelbase.sql.query
Class ValueExpressionLabeledDurationType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.ValueExpressionLabeledDurationType

public final class ValueExpressionLabeledDurationType
extends AbstractEnumerator

A representation of the literals of the enumeration 'SQL Value Expression Labeled Duration Type', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getValueExpressionLabeledDurationType()`, Serialized Form

Field Summary
`static int` `DAYS` The 'DAYS' literal value.
`static ValueExpressionLabeledDurationType` `DAYS_LITERAL` The 'DAYS' literal object.
`static int` `HOURS` The 'HOURS' literal value.
`static ValueExpressionLabeledDurationType` `HOURS_LITERAL` The 'HOURS' literal object.
`static int` `MICROSECONDS` The 'MICROSECONDS' literal value.
`static ValueExpressionLabeledDurationType` `MICROSECONDS_LITERAL` The 'MICROSECONDS' literal object.
`static int` `MINUTES` The 'MINUTES' literal value.
`static ValueExpressionLabeledDurationType` `MINUTES_LITERAL` The 'MINUTES' literal object.
`static int` `MONTHS` The 'MONTHS' literal value.
`static ValueExpressionLabeledDurationType` `MONTHS_LITERAL` The 'MONTHS' literal object.
`static int` `SECONDS` The 'SECONDS' literal value.
`static ValueExpressionLabeledDurationType` `SECONDS_LITERAL` The 'SECONDS' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Value Expression Labeled Duration Type' enumerators.
`static int` `YEARS` The 'YEARS' literal value.
`static ValueExpressionLabeledDurationType` `YEARS_LITERAL` The 'YEARS' literal object.

Method Summary
`static ValueExpressionLabeledDurationType` `get(int value)` Returns the 'Value Expression Labeled Duration Type' literal with the specified integer value.
`static ValueExpressionLabeledDurationType` `get(java.lang.String literal)` Returns the 'Value Expression Labeled Duration Type' literal with the specified literal value.
`static ValueExpressionLabeledDurationType` `getByName(java.lang.String name)` Returns the 'Value Expression Labeled Duration Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YEARS

    public static final int YEARS

  The 'YEARS' literal value.

  See Also:
    `YEARS_LITERAL`, Constant Field Values

### MONTHS

    public static final int MONTHS

  The 'MONTHS' literal value.

  See Also:
    `MONTHS_LITERAL`, Constant Field Values

### DAYS

    public static final int DAYS

  The 'DAYS' literal value.

  See Also:
    `DAYS_LITERAL`, Constant Field Values

### HOURS

    public static final int HOURS

  The 'HOURS' literal value.

  See Also:
    `HOURS_LITERAL`, Constant Field Values

### MINUTES

    public static final int MINUTES

  The 'MINUTES' literal value.

  See Also:
    `MINUTES_LITERAL`, Constant Field Values

### SECONDS

    public static final int SECONDS

  The 'SECONDS' literal value.

  See Also:
    `SECONDS_LITERAL`, Constant Field Values

### MICROSECONDS

    public static final int MICROSECONDS

  The 'MICROSECONDS' literal value.

  See Also:
    `MICROSECONDS_LITERAL`, Constant Field Values

### YEARS_LITERAL

    public static final ValueExpressionLabeledDurationType YEARS_LITERAL

  The 'YEARS' literal object.

  If the meaning of 'YEARS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `YEARS`

### MONTHS_LITERAL

    public static final ValueExpressionLabeledDurationType MONTHS_LITERAL

  The 'MONTHS' literal object.

  If the meaning of 'MONTHS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MONTHS`

### DAYS_LITERAL

    public static final ValueExpressionLabeledDurationType DAYS_LITERAL

  The 'DAYS' literal object.

  If the meaning of 'DAYS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DAYS`

### HOURS_LITERAL

    public static final ValueExpressionLabeledDurationType HOURS_LITERAL

  The 'HOURS' literal object.

  If the meaning of 'HOURS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HOURS`

### MINUTES_LITERAL

    public static final ValueExpressionLabeledDurationType MINUTES_LITERAL

  The 'MINUTES' literal object.

  If the meaning of 'MINUTES' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MINUTES`

### SECONDS_LITERAL

    public static final ValueExpressionLabeledDurationType SECONDS_LITERAL

  The 'SECONDS' literal object.

  If the meaning of 'SECONDS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SECONDS`

### MICROSECONDS_LITERAL

    public static final ValueExpressionLabeledDurationType MICROSECONDS_LITERAL

  The 'MICROSECONDS' literal object.

  If the meaning of 'MICROSECONDS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MICROSECONDS`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Value Expression Labeled Duration Type' enumerators.

Method Detail

### get

    public static ValueExpressionLabeledDurationType get(java.lang.String literal)

  Returns the 'Value Expression Labeled Duration Type' literal with the specified literal value.

### getByName

    public static ValueExpressionLabeledDurationType getByName(java.lang.String name)

  Returns the 'Value Expression Labeled Duration Type' literal with the specified name.

### get

    public static ValueExpressionLabeledDurationType get(int value)

  Returns the 'Value Expression Labeled Duration Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.